Bug 1413186 - doc: creation of qcow2 internal snapshots (the default) should be discouraged
Summary: doc: creation of qcow2 internal snapshots (the default) should be discouraged
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Virtualization_Deployment_and_Administration_Guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jiri Herrmann
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 21:09 UTC by Ademar Reis
Modified: 2019-03-06 00:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-29 17:26:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ademar Reis 2017-01-13 21:09:02 UTC
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Deployment_and_Administration_Guide/sect-Managing_guest_virtual_machines_with_virsh-Managing_snapshots.html

There are two ways to generate disk snapshots in QEMU: internal and external. We don't encourage the creation of internal qcow2 snapshots, because they're less flexible and usually not considered very robust. In RHEV and OSP, only external snapshots are supported for example.

Unfortunately, this distinction is not very clear at the libvirt level (e.g. virsh) and to make things worse, most tools (e.g. virsh again) tend to default to internal snapshots.

Our documentation should focus on internal snapshots and discourage the creation of internal snapshots. This will help prevent customers from hitting bugs in a feature which is not robust.

As a side-note, we're trying to change the defaults in future versions of virsh and virt-manager, see bug 1402581 and bug 1403951


Note You need to log in before you can comment on or make changes to this bug.